with (import <nixpkgs> {});
mkShell {
    buildInputs = [ gcc libbsd gnumake ];
    packages = [
        entr
        tmux
        hivemind
        kakoune
        git-up
        gdb
        cabal2nix
        (pkgs.haskellPackages.ghcWithPackages (self:
          [
            haskellPackages.regex-pcre
            haskellPackages.regex-compat
            haskellPackages.mime-types
            haskellPackages.HUnit
            haskellPackages.utf8-string
          ]
        ))
    ];
}
